%define eclipse_base    /usr/share/eclipse

Summary: RPM plugin for Eclipse
Name: eclipse-rpm
Version: 3.0.0
Release: 3
License: Eclipse Public License Version - v 1.0 <http://www.eclipse.org/legal/epl-v10.html>
Group: Development/Tools

# # Here's how to generate the source drop for RPM 3.0.0:
# 
# mkdir -p temp/home && cd temp
# touch home/.cvspass
# cvs -d :pserver:anonymous@dev.eclipse.org:/home/tools \
#   co -r eclipse-rpm-3_0-M1 org.eclipse.cdt-contrib/org.eclipse.cdt.rpm/org.eclipse.cdt.rpm.releng
# pushd org.eclipse.cdt-contrib/org.eclipse.cdt.rpm/org.eclipse.cdt.rpm.releng
# 
# sed --in-place -e 's/HEAD/eclipse-rpm-3_0-M1/g' maps/rpm.map
# 
# # Fetch the actual source
# 
# pwd
# java -cp /usr/share/eclipse/startup.jar \
#   -Duser.home=../../../home org.eclipse.core.launcher.Main \
#   -application org.eclipse.ant.core.antRunner \
#   -buildfile build.xml \
#   -DbaseLocation=/usr/share/eclipse \
#   -Dpde.build.scripts=/usr/share/eclipse/plugins/org.eclipse.pde.build/scripts \
#   fetch
#   
# popd
# 
# pushd org.eclipse.cdt-contrib/org.eclipse.cdt.rpm
# 
# # Make the source tarball
# tar jcf eclipse-rpm-fetched-src-3.0.0.tar.bz2 org.eclipse.cdt.rpm.releng
# mv eclipse-rpm-fetched-src-3.0.0.tar.bz2 ../..
# popd

Source: eclipse-rpm-fetched-src-%{version}.tar.bz2
URL: http://www.eclipse.org
Requires: eclipse-cdt
BuildRequires: eclipse-cdt
BuildRequires: eclipse-pde

Patch0: %{name}-docunderscore.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The eclipse-rpm package contains an Eclipse plugin for building RPMs.

%prep
%setup -q -c 
pushd org.eclipse.cdt.rpm.releng
%patch0 -p0
popd

%build
export JAVA_HOME=%{java_home}
export PATH=%{java_bin}:/usr/bin:$PATH

# See comments in the script to understand this.
/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base} cdt
SDK=$(cd SDK && pwd)

mkdir home
homedir=$(cd home > /dev/null && pwd)

cd org.eclipse.cdt.rpm.releng

java -cp $SDK/startup.jar \
    -Duser.home=$homedir \
     org.eclipse.core.launcher.Main \
    -application org.eclipse.ant.core.antRunner \
    -DjavacFailOnError=true \
    -DdontUnzip=true \
    -DbaseLocation=$SDK \
    -Dpde.build.scripts=$SDK/plugins/org.eclipse.pde.build/scripts \
    -DdontFetchAnything=true

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{eclipse_base}

for file in $(pwd)/org.eclipse.cdt.rpm.releng/results/I.*/*.zip; do
  case $file in
    *eclipse-rpm*)
      # The ".." is needed since the zip files contain "eclipse/foo".
      (cd $RPM_BUILD_ROOT/%{eclipse_base}/.. && unzip -qq -o $file)
      ;;
  esac
done

%clean 
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.cdt.rpm*
%{eclipse_base}/plugins/org.eclipse.cdt.rpm*

%changelog
* Thu Aug 10 2006 Andrew Overholt <overholt@redhat.com> 3.0.0-3
- Make noarch (no native code).
- Add details on how to build tarball.
- Specfile cleanups.
- Add patch to not generate the build.xml files at fetch time.

* Thu Aug 10 2006 Igor Foox <ifoox@redhat.com> 3.0.0-2
- Rebuild on Eclipse 3.2.0.
- Change path to pde.build to be version-less.

* Fri Apr 21 2006 Jeff Johnston <jjohnstn@redhat.com> 3.0.0-1
- Updated sources to release tag: eclipse-rpm-3_0-M1

* Mon Jun 27 2005 Aaron Luchko <aluchko@redhat.com> 1.2.0-5
- Added x86_64

* Mon May 2 2005 Ben Konrath <bkonrath@redhat.com> l.2.0-4 
- Build against Eclipse 3.0.2.

* Wed Mar 30 2005 Rick Moseley  <rmoseley@redhat.com> 1.2.0-3
- Update to point to EPL license
- Update version for RHEL-4 release

* Thu Mar 17 2005 Jeff Pound <jpound@redhat.com> 1.2.0-1
- Change pde build script location to 3.0.1.

* Thu Nov 11 2004 Phil Muldoon <pmuldoon@redhat.com> 1.2.0-1
- Updated to use org.eclipse.cdt.rpm.* conventions

* Fri Jul 23 2004 Jeremy Handcock <handcock@redhat.com> 1.1.0-3
- Require eclipse-ui, not eclipse-platform

* Fri Jul 23 2004 Rick Moseley  <rmoseley@redhat.com> 1.1.0-2
- Set user.home (beehive fix)

* Thu Jul 22 2004 Jeremy Handcock <handcock@redhat.com> 1.1.0-1
- Remove old Requires eclipse
- Don't build on x86_64 and ppc64

* Wed Jul 14 2004 Rick Moseley <rmoseley@redhat.com> 1.1
- Changes for Eclipse 3.0 build system

* Mon Jan 19 2004 Tom Tromey <tromey@redhat.com> 1.0.0-1
- Initial version
